/* ===================================
   TEMOIGNAGES - STRUCTURE GLOBALE
   =================================== */
.temoignage-item:first-child .temoignage-content {
  padding-top: 0;
}
.temoignage-item:nth-child(2) .temoignage-content .row,
.temoignage-item:nth-child(4) .temoignage-content .row {
  flex-direction: row-reverse;
}

/* ===================================
   TEMOIGNAGES - STRUCTURE DE L'ITEM
   =================================== */
.temoignage-item .temoin-photo {
  position: relative;
  overflow: hidden;
  margin-bottom: 10px;
}
.temoignage-item .temoin-photo img {
  width: 100%;
  height: auto;
  object-fit: fill;
}

.temoignage-item .temoin-photo::after {
  position: absolute;
  content: "01";
  font-weight: 300;
  font-size: 2.2rem;
  line-height: 1;
  top: 0;
  right: 0;
  padding: 6px;
  background-color: var(--aableu);
  color: var(--text-dark);
  margin-right: calc(var(--bs-gutter-x) * 0.5);
}
.temoignage-item:nth-child(2) .temoin-photo::after {
  content: "02";
}
.temoignage-item:nth-child(3) .temoin-photo::after {
  content: "03";
}
.temoignage-item:nth-child(4) .temoin-photo::after {
  content: "04";
}
.temoignage-item:nth-child(5) .temoin-photo::after {
  content: "05";
}

.temoignage-item .temoin-citation {
  width: 86%;
  background-color: var(--aableu);
  color: var(--text-dark);
  font-family: "Inter", sans-serif;
  font-weight: 300;
  margin: 22px auto 5px;
  padding: 25px 3.5vw 18px;
  font-size: 1.3rem;
  border-radius: 20px;
  text-align: center;
  position: relative;
}

.temoignage-item:nth-child(2) .temoin-photo::after,
.temoignage-item:nth-child(2) .temoin-citation {
  background-color: var(--aajaune);
  color: var(--text-dark);
}
.temoignage-item:nth-child(3) .temoin-photo::after,
.temoignage-item:nth-child(3) .temoin-citation {
  background-color: var(--aarose);
  color: var(--white);
}
.temoignage-item:nth-child(4) .temoin-photo::after,
.temoignage-item:nth-child(4) .temoin-citation {
  background-color: var(--aavert);
  color: var(--text-dark);
}
.temoignage-item:nth-child(5) .temoin-photo::after,
.temoignage-item:nth-child(5) .temoin-citation {
  background-color: var(--aaviolet);
  color: var(--white);
}

.temoin-citation::before {
  content: url("../images/quote_grey.svg");
  position: absolute;
  width: 26px;
  height: auto;
  top: 1.4vw;
  left: 3.2vh;
}
.temoin-citation::after {
  content: url("../images/quote_grey.svg");
  transform: scaleX(-1);
  position: absolute;
  width: 26px;
  height: auto;
  bottom: 1vw;
  right: 3.2vh;
}
.temoignage-item:nth-child(3) .temoin-citation::after,
.temoignage-item:nth-child(3) .temoin-citation::before,
.temoignage-item:nth-child(5) .temoin-citation::after,
.temoignage-item:nth-child(5) .temoin-citation::before {
  content: url("../images/quote_whi.svg");
}

/* ===================================
   TEMOIGNAGES - TYPOGRAPHY
   =================================== */
.temoignage-item h3 {
  font-size: 0.95rem;
  margin-top: 10px;
  margin-bottom: 5px;
  text-transform: uppercase;
  color: var(--aagold);
  font-weight: 700;
  font-family: "Inter", sans-serif;
  letter-spacing: 1px;
}

.temoignage-item h2 {
  font-size: 1.8rem;
  margin-bottom: 10px;
  color: var(--text-dark);
  font-weight: 700;
}

/* ===================================
   TEMOIGNAGES - CAROUSEL
   =================================== */
#temoignages-carousel .carousel-inner {
  display: flex;
  padding: 20px 35px 60px;
}
/* ===================================
  RESPONSIVE - TYPOGRAPHY
   =================================== */

@media (width < 1280px) {
  .temoignage-item .temoin-citation {
    font-size: 1.2rem;
    margin: 30px auto;
    padding: 22px 6.5vw 16px;
    border-radius: 16px;
  }
  .temoin-citation::before {
    width: 22px;
    top: 1.2vw;
    left: 2.5vh;
  }
  .temoin-citation::after {
    width: 22px;
    bottom: 1.1vw;
    right: 2.5vh;
  }
}

@media (width < 576px) {
  #temoignages-carousel .temoignage-item .temoin-photo {
    aspect-ratio: 1.2/1;
  }
  #temoignages-carousel .temoignage-item .temoin-photo img {
    object-position: 0 -30px;
  }
  #temoignages-carousel .temoignage-item:nth-child(1) img {
    object-position: 0 -70px;
  }
  #temoignages-carousel .temoignage-item:nth-child(5) img {
    object-position: 0 -60px;
  }
  #temoignages-carousel .carousel-inner {
    padding: 20px 15px 60px;
  }
  #temoignages-carousel .carousel-control-prev {
    left: -20px;
  }
  #temoignages-carousel .carousel-control-next {
    right: -20px;
  }
}
